/*
 * Copyright Blue Analysis @ 2007
 */

using System;
using Acid_Library;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;

namespace Acid_Demo
{
	/// <summary>
	/// Description of MainForm.
	/// </summary>

	public partial class MainForm
	{
		public AcidParser MyParser;
		
		[STAThread]
		public static void Main(string[] args)
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new MainForm());
		}
		
		public MainForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			
			//Initialize The Math Parser
			MyParser = new AcidParser("Demo", "None");

			InitializeComponent();
			
			//
			// TODO: Add constructor code after the InitializeComponent() call.
			//
		}
		
		void CalculateButtonClick(object sender, System.EventArgs e)
		{
			//Get the number of calculations
			int CalcNumb = Convert.ToInt32(NOCListBox.Text.Replace(",", ""));
			
			//Get the first expression
			string Inp = Exp1Text.Text;
			DateTime L = new DateTime();

			Application.DoEvents();
			
			//Start the first calculation-round
			L = DateTime.Now;
			for (int i = 0; i < CalcNumb; i++)
			{
				MyParser.ParseSimple(Inp);
			}
			
			//Display results
			Out1Label.Text = "=> " + DateTime.Now.Subtract(L).TotalSeconds.ToString() + "s";
			
			//Get the second expression
			Inp = Exp2Text.Text;
			
			Application.DoEvents();
			
			//Start the second calculation-round
			L = DateTime.Now;
			for (int i = 0; i < CalcNumb; i++)
			{
				MyParser.ParseSimple(Inp);
			}
			
			//Display results
			Out2Label.Text = "=> " + DateTime.Now.Subtract(L).TotalSeconds.ToString() + "s";
			
			//Get the third expression
			Inp = Exp3Text.Text;
			
			Application.DoEvents();
			
			//Start the third calculation-round
			L = DateTime.Now;
			for (int i = 0; i < CalcNumb; i++)
			{
				MyParser.ParseSimple(Inp);
			}
			
			//Display results
			Out3Label.Text = "=> " + DateTime.Now.Subtract(L).TotalSeconds.ToString() + "s";	
		}
		
		void MainFormLoad(object sender, System.EventArgs e)
		{
			
		}
	}
}
